Api Documentation

Page layouts

Page layouts define the structure and components for mobile app pages.
Retrieves a single page layout with its components.
Creates a new page layout. Only available to API keys without user authentication.
Updates an existing page layout. Only available to API keys without user authentication.
Deletes a page layout and its components. Only available to API keys without user authentication.
Json
XML
GET https://api.bundeling.com/V2/page_layouts/:uuid

Parameters

Url

NameDescriptionType
uuidA unique identifier for the page layoutstring

Includes

NameDescriptionEndpoint
componentsRetrieves the components for this layoutPageLayoutComponents

Example request

Headers

Content-Type:application/json
Api-Key:RAegSX8yZfEbqSPM

Example response

{
    "uuid": "eeb763c41c054dcc8f6d9362f24ee9b2",
    "name": "Home Page Layout",
    "description": "Main landing page layout",
    "search_bar_enabled": true,
    "action_bar_image_uuid": null,
    "action_bar_image_layout_variant": "hero",
    "action_bar_image_height": null,
    "action_bar_title": null,
    "external_reference": "12345",
    "creationdate": "2026-07-03T06:06:41+0200",
    "lastupdate": "2026-08-02T06:06:41+0200"
}